<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicios String Angel Navarrete</title>
</head>
<body>
    <h1>Ejercicios Varios Javascript M7</h1>
    <a href="https://www.youtube.com/watch?v=mCdA4bJAGGk">Mira mi colecion de NFT</a>
    <script>
        palabra = prompt("Introduce una frase");
        num1 = parseInt(prompt("Introducee un numero"));
        //EJERCICIO 1
        /*Comprueba si un string contiene el substring 'As' al principio. Si lo contiene, devuelve el string original. Sino, devuelve el string con 'As' concatenado al principio de este.*/
        function ComprobarAs(palabra){
            if(palabra.startsWith("As")==true){
                alert(palabra);
            }
            else{
                alert("As"+palabra);
            }
        }
        ComprobarAs(palabra);
        
       //EJERCICIO 2
       /*Introduce un string y un número, comprueba que es menor que la longitud del string en una función. La función debe devolver el string sin el carácter en esa posición.*/
       /* function ComprobarLongitud(palabra, num){
            if (num > palabra.length){
                alert("El numero no puede superar la longitud del string");
                return false;
            }
            else{
                palabra=palabra.replace(palabra[num],"");
                alert(palabra);
            }
        }
        ComprobarLongitud(palabra, num1);*/
       //EJERCICIO 3
       /*Dado un string intercambia la posición del primer y último carácter del string. Tienes que comprobar que el string tiene longitud mayor que 0.*/
       /*function IntercambiaPosicion(palabra){
        if(palabra.length<0){
            alert("La longitud no puede ser menor que 0");
        }
        else{
            let ultimaLetra= palabra.slice(-1);
            let primeraLetra = palabra[0];
            let palabraReverso;
            palabraReverso = palabra.replace(primeraLetra,ultimaLetra);

            palabraReverso = palabraReverso.substring(0,palabraReverso.length-1);
            console.log(palabraReverso)
            palabraReverso = palabraReverso + primeraLetra;
            alert(palabraReverso);
        }
       }
       IntercambiaPosicion(palabra);*/
    </script>
</body>
</html>